Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
xaydung

lisp lấy ra toạ độ 3 điểm khi chọn 1 đường thẳng!!

Các bài được khuyến nghị

em đang cần 1 lisp có nội dung như sau:

trên màn hình là 1 line (hoặc pline), chạy lisp hỏi chọn đường thẳng và nhập điểm chèn kết quả, chương trình sẽ tự động tính toán ra 3 điểm: 2 điểm là điểm đầu và cuối của đường thẳng , điểm thứ 3 là điểm có cao độ z=1/2 khoảng cách 2 điểm kia và đi qua trung điểm của đường thẳng. (nếu nối các điểm này với nhau sẽ tạo thành 1 tam giác vuông cân). Mong các anh giúp em!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em đang cần 1 lisp có nội dung như sau:

trên màn hình là 1 line (hoặc pline), chạy lisp hỏi chọn đường thẳng và nhập điểm chèn kết quả, chương trình sẽ tự động tính toán ra 3 điểm: 2 điểm là điểm đầu và cuối của đường thẳng , điểm thứ 3 là điểm có cao độ z=1/2 khoảng cách 2 điểm kia và đi qua trung điểm của đường thẳng. (nếu nối các điểm này với nhau sẽ tạo thành 1 tam giác vuông cân). Mong các anh giúp em!!

 

 

(Defun C:dddc ( )

 

(setq DT (entsel "\nChon LINE mau"))

(while

(or

(null DT)

(/= "LINE" (cdr (assoc 0 (entget (car DT)))))

)

(princ "\nDoi tuong khong phai la LINE! Chon lai")

(setq DT (entsel "\nChon LINE mau"))

)

(setq DT (car DT))

(setq DT (entget DT))

(setq DD (cdr (assoc 10 DT)))

(setq DC (cdr (assoc 11 DT)))

(setq gocdc(angle DD DC))

(setq daidc (distance DD DC))

 

(princ)

)

 

Trên đây là đoạn giúp bạn chọn 1 line và cho ra kết quả:

DD : điễm đầu line

DC : điểm cuối đường line

gocdc : góc giữa hai điểm đầu và điểm cuối

daidc : khoảng cách giữa hai điểm đầu và điểm cuối

Từ dử liệu này các cái khác tin rằng bạn tự làm được !!!!!!!!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
(Defun C:dddc ( )

 

(setq DT (entsel "\nChon LINE mau"))

(while

(or

(null DT)

(/= "LINE" (cdr (assoc 0 (entget (car DT)))))

)

(princ "\nDoi tuong khong phai la LINE! Chon lai")

(setq DT (entsel "\nChon LINE mau"))

)

(setq DT (car DT))

(setq DT (entget DT))

(setq DD (cdr (assoc 10 DT)))

(setq DC (cdr (assoc 11 DT)))

(setq gocdc(angle DD DC))

(setq daidc (distance DD DC))

 

(princ)

)

 

Trên đây là đoạn giúp bạn chọn 1 line và cho ra kết quả:

DD : điễm đầu line

DC : điểm cuối đường line

gocdc : góc giữa hai điểm đầu và điểm cuối

daidc : khoảng cách giữa hai điểm đầu và điểm cuối

Từ dử liệu này các cái khác tin rằng bạn tự làm được !!!!!!!!!!!

Hô hô, tốt quá, thanks bác Duy , còn laị em tự xử lý được!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×